ResultColumnReferenceStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class ResultColumnReferenceStrategy

    java.lang.Object
      org.hibernate.dialect.ResultColumnReferenceStrategy

All Implemented Interfaces:
  Serializable

    public class ResultColumnReferenceStrategy

extends Object
implements Serializable

Defines how we need to reference columns in the group-by, having, and order-by clauses.

See Also:
  Serialized Form

Field Summary
`static ResultColumnReferenceStrategy` | `ALIAS` For databases which do not support `SOURCE`, ANSI SQL defines two allowable approaches.
`static ResultColumnReferenceStrategy` | `ORDINAL` For databases which do not support `SOURCE`, ANSI SQL defines two allowable approaches.
`static ResultColumnReferenceStrategy` | `SOURCE` This strategy says to reference the result columns by the qualified column name found in the result source.

Constructor Summary
`ResultColumnReferenceStrategy(String name)`

Method Summary
`static ResultColumnReferenceStrategy` | `parse(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOURCE

    public static final ResultColumnReferenceStrategy SOURCE

  This strategy says to reference the result columns by the qualified column name found in the result source. This strategy is not strictly allowed by ANSI SQL but is Hibernate's legacy behavior and is also the fastest of the strategies; thus it should be used if supported by the underlying database.

### ALIAS

    public static final ResultColumnReferenceStrategy ALIAS

  For databases which do not support `SOURCE`, ANSI SQL defines two allowable approaches. One is to reference the result column by the alias it is given in the result source (if it is given an alias). This strategy says to use this approach.

  The other QNSI SQL compliant approach is `ORDINAL`.

### ORDINAL

    public static final ResultColumnReferenceStrategy ORDINAL

  For databases which do not support `SOURCE`, ANSI SQL defines two allowable approaches. One is to reference the result column by the ordinal position at which it appears in the result source. This strategy says to use this approach.

  The other QNSI SQL compliant approach is `ALIAS`.

Constructor Detail

### ResultColumnReferenceStrategy

    public ResultColumnReferenceStrategy(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### parse

    public static ResultColumnReferenceStrategy parse(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.